%define module  bignum
%define version 0.13
%define release 2mdk
%define	pdir	Math

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl, perl-base, perl-Math-BigInt >= 1.62, perl-Math-BigRat >= 0.09
BuildRequires:	perl-devel

%description
%{module} attempts to make it easier to write scripts that use
BigInts/BigFloats in a transparent way. They use the rewritten
versiosn of Math::BigInt and Math::BigFloat, Math::BigRat (for bigrat)
and optionally Math::BigInt::Lite.

%prep
%setup -q -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT

make PREFIX="$RPM_BUILD_ROOT%{_prefix}" install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc BUGS CHANGES INSTALL LICENSE README TODO
%{perl_vendorlib}/Math/*
%{perl_vendorlib}/*.pm 
%{_mandir}/*/*

%changelog
* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.13-2mdk
- rebuild

* Mon Oct 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.13-1mdk
- fix build
- from Peter Chen <petechen@netilla.com> :
	- 0.13
